libnvme(2)

NAME
struct nvme_resv_register_args - Arguments for the NVMe Reservation Register command

SYNOPSIS
struct nvme_resv_register_args {
__u64 crkey;
__u64 nrkey;
__u32 *result;
int args_size;
int fd;
__u32 timeout;
__u32 nsid;
enum nvme_resv_rrega rrega;
enum nvme_resv_cptpl cptpl;
bool iekey;
};

Members

crkey
    The current reservation key associated with the host

nrkey
    The new reservation key to be register if action is register or replace

result
    The command completion result from CQE dword0

args_size
    Size of struct nvme_resv_register_args

fd  File descriptor of nvme device

timeout
    Timeout in ms

nsid
    Namespace identifier

rrega
    The registration action, see enum nvme_resv_rrega

cptpl
    Change persist through power loss, see enum nvme_resv_cptpl

iekey
    Set to ignore the existing key